Name:           wsdl4j
Version:        1.6.3
Release:        14
License:        CPL
Summary:        The Web Services Description Language for Java Toolkit
URL:            http://sourceforge.net/projects/wsdl4j
BuildArch:      noarch

Source0:        http://downloads.sourceforge.net/project/wsdl4j/WSDL4J/%{version}/wsdl4j-src-%{version}.zip
Source1:        %{name}-MANIFEST.MF
Source2:        http://repo1.maven.org/maven2/wsdl4j/wsdl4j/%{version}/wsdl4j-%{version}.pom

BuildRequires:  ant ant-junit javapackages-local
Provides:       javax.wsdl

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows the creation, representation,
and manipulation of WSDL documents. Is the reference implementation for JSR110 'JWSDL'.

%package help
Summary:   Documentation for wsdl4j
Provides:  %{name}-javadoc = %{version}-%{release}
Obsoletes: %{name}-javadoc < %{version}-%{release}


%description help
Documentation for wsdl4j.

%prep
%autosetup -n %{name}-1_6_3 -p1

%mvn_file ":{*}" @1

%build
ant compile javadocs
jar ufm build/lib/%{name}.jar %{SOURCE1}

%install
%mvn_artifact %{SOURCE2} build/lib/%{name}.jar
%mvn_artifact %{name}:qname:%{version} build/lib/qname.jar
%mvn_install -J build/javadocs

install -d -m 755 %{buildroot}%{_javadir}/javax.wsdl/
ln -sf ../%{name}.jar %{buildroot}%{_javadir}/javax.wsdl/
ln -sf ../qname.jar %{buildroot}%{_javadir}/javax.wsdl/

%files -f .mfiles
%license license.html
%{_javadir}/javax.wsdl/

%files help -f .mfiles-javadoc
%license license.html

%changelog
* Mon Feb 17 2020 duyeyu <duyeyu@huawei.com> - 1.6.3-14
- Package init
